#!/bin/bash

. /usr/share/univention-lib/ucr.sh

check_s4_connector_listener_active() {
	if ! is_ucr_false connector/s4/autostart; then
		if is_ucr_true connector/s4/listener/disabled; then
			echo "ERROR: connector/s4/autostart is active but connector/s4/listener/disabled is active too"
			return 1
		fi
	fi
}

check_s4_connector_listener_active
