dpkg -C
apt-get check
apt-get -s -f install
apt-get -s dist-upgrade

PACKAGES="univention-base-files
univention-base-packages
univention-role-server-common
"

test "$(ucr get server/role)" = "basesystem" && exit 0

for package in $PACKAGES; do
	if [ ! "$(dpkg-query -W -f '${Status}' "${package}")" = "install ok installed" ]; then
		echo "$package is not installed"
		exit 1
	fi
done
